org.wildfly.swarm.config.undertow.configuration

## Class File<T extends File<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.File<T>

-     public class File<T extends File<T>>
      extends Object

  File handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `File(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `cacheBuffers()` Number of buffers
    `T` | `cacheBuffers(Long value)` Number of buffers
    `Long` | `cacheBufferSize()` Size of the buffers, in bytes.
    `T` | `cacheBufferSize(Long value)` Size of the buffers, in bytes.
    `Boolean` | `caseSensitive()` Use case sensitive file handling
    `T` | `caseSensitive(Boolean value)` Use case sensitive file handling
    `Boolean` | `directoryListing()` Enable directory listing?
    `T` | `directoryListing(Boolean value)` Enable directory listing?
    `Boolean` | `followSymlink()` Enable following symbolic links
    `T` | `followSymlink(Boolean value)` Enable following symbolic links
    `String` | `getKey()`
    `String` | `path()` Path on filesystem from where file handler will serve resources
    `T` | `path(String value)` Path on filesystem from where file handler will serve resources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `safeSymlinkPath(String value)` Paths that are safe to be targets of symbolic links
    `List<String>` | `safeSymlinkPaths()` Paths that are safe to be targets of symbolic links
    `T` | `safeSymlinkPaths(List<String> value)` Paths that are safe to be targets of symbolic links
    `T` | `safeSymlinkPaths(String... args)` Paths that are safe to be targets of symbolic links

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### File

          public File(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### cacheBufferSize

          public Long cacheBufferSize()

      Size of the buffers, in bytes.

    - #### cacheBufferSize

          public T cacheBufferSize(Long value)

      Size of the buffers, in bytes.

    - #### cacheBuffers

          public Long cacheBuffers()

      Number of buffers

    - #### cacheBuffers

          public T cacheBuffers(Long value)

      Number of buffers

    - #### caseSensitive

          public Boolean caseSensitive()

      Use case sensitive file handling

    - #### caseSensitive

          public T caseSensitive(Boolean value)

      Use case sensitive file handling

    - #### directoryListing

          public Boolean directoryListing()

      Enable directory listing?

    - #### directoryListing

          public T directoryListing(Boolean value)

      Enable directory listing?

    - #### followSymlink

          public Boolean followSymlink()

      Enable following symbolic links

    - #### followSymlink

          public T followSymlink(Boolean value)

      Enable following symbolic links

    - #### path

          public String path()

      Path on filesystem from where file handler will serve resources

    - #### path

          public T path(String value)

      Path on filesystem from where file handler will serve resources

    - #### safeSymlinkPaths

          public List<String> safeSymlinkPaths()

      Paths that are safe to be targets of symbolic links

    - #### safeSymlinkPaths

          public T safeSymlinkPaths(List<String> value)

      Paths that are safe to be targets of symbolic links

    - #### safeSymlinkPath

          public T safeSymlinkPath(String value)

      Paths that are safe to be targets of symbolic links

    - #### safeSymlinkPaths

          public T safeSymlinkPaths(String... args)

      Paths that are safe to be targets of symbolic links

Copyright © 2017 JBoss by Red Hat. All rights reserved.